Bug#718328: gperf: Please mark Multi-Arch: foreign

2013-07-30 Thread Colin Watson
Package: gperf
Version: 3.0.3-2
Severity: normal
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch saucy

I was about to do a QA upload with this change, but I see that Hilko's
in the process of adopting this package, so perhaps you could apply it?

gperf is architecture-dependent but provides an architecture-independent
interface, so it doesn't matter which architecture you get of it
provided that you can execute its binaries.  The way to declare this in
multiarch-speak is to declare it Multi-Arch: foreign.  A number of
packages build-depend on gperf, including such important ones as
coreutils, so making gperf Multi-Arch: foreign eases the process of
cross-building the base system because you can use the version from your
build architecture rather than having to arrange to be able to emulate
the version for the host architecture at build time.

diff -u gperf-3.0.3/debian/control gperf-3.0.3/debian/control
--- gperf-3.0.3/debian/control
+++ gperf-3.0.3/debian/control
@@ -7,6 +7,7 @@
 
 Package: gperf
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}
 Replaces: libg++272-dev, libg++27-dev
 Description: Perfect hash function generator

Thanks,

-- 
Colin Watson   [cjwat...@ubuntu.com]


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: http://lists.debian.org/20130730093100.gv1...@riva.ucam.org



Bug#1072780: src:transaction: fails to migrate to testing for too long: uploader built arch:all binary

2024-06-15 Thread Colin Watson
Control: fixed -1 transaction/4.0-2

On Fri, Jun 07, 2024 at 09:39:20PM +0200, Paul Gevers wrote:
> Your package is only blocked because the arch:all binary package(s) aren't
> built on a buildd. Unfortunately the Debian infrastructure doesn't allow
> arch:all packages to be properly binNMU'ed. Hence, I will shortly do a
> no-changes source-only upload to DELAYED/15, closing this bug. Please let me
> know if I should delay or cancel that upload.

This was fixed by transaction 4.0-2, and it looks like either you
cancelled your upload or it was automatically dropped from the DELAYED
queue.

transaction (4.0-2) unstable; urgency=medium

  * QA upload
  * Source-only reupload

 -- Bastian Germann   Wed, 12 Jun 2024 20:49:57 +0000

Thanks,

-- 
Colin Watson (he/him)  [cjwat...@debian.org]



Bug#650139: /lib/udev/rules.d/19-ifrename.rules: udev rule incorrect with at least udev 175

2024-07-24 Thread Colin Watson
Source: wireless-tools
Source-Version: 30~pre9-8

On Sat, Nov 26, 2011 at 10:35:58PM +0100, Alban Browaeys wrote:
> /lib/udev/rules.d/19-ifrename.rules uses IMPORT without attribute which fails 
> at least with udev 175.
> add {program} as attributes fixes this and prevent random interfaces names at 
> boot. From:
> SUBSYSTEM=="net", ACTION=="add", IMPORT="/sbin/ifrename -u -i %k", 
> NAME:="$env{INTERFACE}"
> to:
> SUBSYSTEM=="net", ACTION=="add", IMPORT{program}="/sbin/ifrename -u -i %k", 
> NAME:="$env{INTERFACE}"
> 
> This let my flow rules for openvswitch work . Otherwise with random 
> interfaces names the flows are unmanageable.

This seems to have been fixed a long time ago in response to another
similar bug:

wireless-tools (30~pre9-8) unstable; urgency=low

  * Add type to IMPORT keyword in ifrename's udev rules file. Closes: #650606

 -- Guus Sliepen   Fri, 23 Dec 2011 16:02:18 +0100

Thanks,

-- 
Colin Watson (he/him)  [cjwat...@debian.org]



Bug#591396: mpc123: uninitialized pointer

2013-05-07 Thread Colin Watson
On Mon, Aug 02, 2010 at 09:12:05PM +0200, Pawel wrote:
> ~$ mpc123 file.mpc
> ao_oss ERROR: Unrecognized channel name "." in channel matrix ""
> ao_oss WARNING: Input channel matrix invalid; ignoring.
> ~$
> 
> 
> 
> - CUT --
> 
> --- mpc123-0.2.4.org//ao.c  2010-08-02 20:29:04.0 +0200
> +++ mpc123-0.2.4/ao.c   2010-08-02 20:35:44.0 +0200
> @@ -127,6 +127,7 @@ int mpc123_ao_init(void ** d, mpc_stream
>ao_fmt.rate=streaminfo->sample_freq;
>ao_fmt.channels=streaminfo->channels;
>ao_fmt.byte_format=AO_FMT_LITTLE;
> +  ao_fmt.matrix=NULL;
> 
>/* output audio params */
>debugf(" bits = %d", ao_fmt.bits);
> 
> - CUT --

Thanks for your patch.  I'm taking a slightly different approach for my
QA upload to avoid requiring libao 1.0.0 and to future-proof against
further additions to this structure, though:

--- a/ao.c
+++ b/ao.c
@@ -123,6 +123,7 @@
 
   /* initialize ao_format struct */
   /* XXX VERY WRONG */
+  memset(&ao_fmt, 0, sizeof(ao_fmt));
   ao_fmt.bits=16;   /*tmp_stream_info.average_bitrate;*/
   ao_fmt.rate=streaminfo->sample_freq;
   ao_fmt.channels=streaminfo->channels;

Cheers,

-- 
Colin Watson   [cjwat...@debian.org]


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: http://lists.debian.org/20130507172809.ga23...@riva.ucam.org



Bug#528783: bogl: support 'bterm [options] -- command [arguments]'

2009-05-15 Thread Colin Watson
Package: bogl
Version: 0.1.18-3
Severity: wishlist
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch karmic

bterm's command-line syntax currently only supports invocations of the
following form:

  bterm [options] [command]

... where the options and the command name may be interleaved. This is
inconvenient if you want to run a command that takes arguments inside
bterm, especially if any of those arguments start with "-"; you have to
write a wrapper script, and if you want any of those arguments to be
variable then you need to pass them through using environment variables.
It would be much better if bterm supported a sensible adverbial style of
invocation.

The attached patch changes bterm to support an additional syntax of the
following form:

  bterm [options] -- command [arguments]

I believe that it is fully backward-compatible with the previous syntax.

Thanks,

-- 
Colin Watson   [cjwat...@ubuntu.com]
diff -Nru bogl-0.1.18/bterm.c bogl-0.1.18/bterm.c
--- bogl-0.1.18/bterm.c	2009-04-23 16:46:07.0 +0100
+++ bogl-0.1.18/bterm.c	2009-05-15 15:41:57.0 +0100
@@ -66,6 +66,26 @@
 static struct termios ttysave;
 static int quit = 0;
 
+/* Out of memory.  Give up. */
+static void out_of_memory (void)
+{
+  fprintf (stderr, "virtual memory exhausted\n");
+  abort ();
+}
+
+/* Allocate AMT bytes of memory and make sure it succeeded. */
+static void *xmalloc (size_t size)
+{
+  void *p;
+  
+  if (size == 0)
+return 0;
+  p = malloc (size);
+  if (!p)
+out_of_memory ();
+  return p;
+}
+
 /* This first tries the modern Unix98 way of getting a pty, followed by the
  * old-fashioned BSD way in case that fails. */
 int get_ptytty(int *xptyfd, int *xttyfd)
@@ -145,7 +165,7 @@
 	quit = 1;
 }
 
-void spawn_shell(int ptyfd, int ttyfd, const char *command)
+void spawn_shell(int ptyfd, int ttyfd, char * const *command_args)
 {
   fflush(stdout);
   child_pid = fork();
@@ -170,7 +190,7 @@
   setgid(getgid());
   setuid(getuid());
 
-  execl(command, command, NULL);
+  execvp(command_args[0], command_args);
   exit(127);
 }
 
@@ -224,11 +244,13 @@
   int ptyfd, ttyfd;
   struct bogl_font *font;
   char *locale = "", *command = NULL;
+  char **command_args;
   int i;
   char o = ' ';
   int pending = 0;
 
-  for (i = 1 ; i < argc ; ++i)
+  for (i = 1 ; i < argc ; ++i) {
+  int done = 0;
   if (argv[i][0] == '-')
   switch (argv[i][1])
   {
@@ -237,6 +259,10 @@
   o = argv[i][1];
   break;
 
+  case '-':
+  done = 1;
+  break;
+
   default:
   printf ("unknown option: %c\n", argv[i][1]);
   }
@@ -258,6 +284,10 @@
 break;
 }
 
+  if (done)
+  break;
+  }
+
   setlocale(LC_CTYPE, locale);
 
   if (font_name == NULL) {
@@ -291,7 +321,22 @@
 exit(1);
   }
 
-  spawn_shell(ptyfd, ttyfd, command == NULL ? "/bin/sh" : command);
+  if (command) {
+command_args = xmalloc(2 * sizeof *command_args);
+command_args[0] = command;
+command_args[1] = NULL;
+  } else if (i < argc - 1) {
+int j;
+command_args = xmalloc((argc - i) * sizeof *command_args);
+for (j = i + 1; j < argc; ++j)
+  command_args[j - (i + 1)] = argv[j];
+command_args[argc - (i + 1)] = NULL;
+  } else {
+command_args = xmalloc(2 * sizeof *command_args);
+command_args[0] = "/bin/sh";
+command_args[1] = NULL;
+  }
+  spawn_shell(ptyfd, ttyfd, command_args);
 
   signal(SIGHUP, reload_font);
   signal(SIGTERM, sigterm);


Bug#550063: libiodbc2: iodbcinst/unicode.h checks HAVE_* but doesn't include anything that might define them

2009-10-07 Thread Colin Watson
Package: libiodbc2
Version: 3.52.6-3
Severity: important
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch karmic

iodbcinst/unicode.h checks HAVE_* but doesn't include anything that
might define them. This caused a build failure on Ubuntu, although I
doubt it's intrinsically Ubuntu-specific (might not actually occur on
Debian right now depending on exactly how libc headers are arranged).
See:

  
http://launchpadlibrarian.net/32005588/buildlog_ubuntu-karmic-i386.libiodbc2_3.52.6-3_FAILEDTOBUILD.txt.gz

  * debian/patches/05_unicode_includes.diff: iodbcinst/unicode.h needs to
include  for HAVE_* definitions from configure.

--- libiodbc2-3.52.6.orig/debian/patches/05_unicode_includes.diff
+++ libiodbc2-3.52.6/debian/patches/05_unicode_includes.diff
@@ -0,0 +1,11 @@
+diff -Nur -x '*.orig' -x '*~' libiodbc2-3.52.6/iodbcinst/unicode.h 
libiodbc2-3.52.6.new/iodbcinst/unicode.h
+--- libiodbc2-3.52.6/iodbcinst/unicode.h   2006-01-20 15:58:35.0 
+
 libiodbc2-3.52.6.new/iodbcinst/unicode.h   2009-10-07 12:45:27.0 
+0100
+@@ -76,6 +76,7 @@
+ 
+ #ifndef _UNICODE_H
+ #define _UNICODE_H
++#include 
+ 
+ #if HAVE_WCHAR_H
+ #include 

Thanks,

-- 
Colin Watson   [cjwat...@ubuntu.com]



-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org



Bug#550716: ncurses: cross-build fails due to colon in PKG_CONFIG_LIBDIR

2009-10-12 Thread Colin Watson
Package: ncurses
Version: 5.7+20090803-2
Severity: normal
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch karmic

When cross-building, dpkg-buildpackage sets PKG_CONFIG_LIBDIR to a
colon-separated pair of paths. This is valid as far as pkg-config is
concerned. However, ncurses breaks like this:

  cd misc && /usr/bin/make DESTDIR="/home/cjwatson/tmp/ncurses/debian/tmp" all
  make[2]: Entering directory `/home/cjwatson/tmp/ncurses/obj/misc'
  Makefile:128: *** target pattern contains no `%'. Stop.

The following patch fixes this, although it relies on GNU Make features
and so upstream might want to consider a different approach.

  * debian/patches/08-pkg-config-libdir.patch: Cope with multiple
colon-separated entries in $(PKG_CONFIG_LIBDIR), as set by default by
dpkg-buildpackage when cross-compiling.

diff -u ncurses-5.7+20090803/debian/patches/00list 
ncurses-5.7+20090803/debian/patches/00list
--- ncurses-5.7+20090803/debian/patches/00list
+++ ncurses-5.7+20090803/debian/patches/00list
@@ -7,0 +8 @@
+08-pkg-config-libdir.dpatch
only in patch2:
unchanged:
--- ncurses-5.7+20090803.orig/debian/patches/08-pkg-config-libdir.dpatch
+++ ncurses-5.7+20090803/debian/patches/08-pkg-config-libdir.dpatch
@@ -0,0 +1,20 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 08-cross-compile.dpatch by Colin Watson 
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Cope with multiple colon-separated entries in $(PKG_CONFIG_LIBDIR),
+## DP: as set by default by dpkg-buildpackage when cross-compiling.
+
+...@dpatch@
+diff -urNad ncurses-5.7+20090803~/misc/Makefile.in 
ncurses-5.7+20090803/misc/Makefile.in
+--- ncurses-5.7+20090803~/misc/Makefile.in 2009-02-10 14:59:19.0 
+
 ncurses-5.7+20090803/misc/Makefile.in  2009-10-12 13:25:29.0 
+0100
+@@ -129,7 +129,7 @@
+ $(DESTDIR)$(libdir) \
+ $(DESTDIR)$(datadir) \
+ $(DESTDIR)$(tabsetdir) \
+-$(DESTDIR)$(PKG_CONFIG_LIBDIR) :
++$(foreach d,$(subst :, ,$(PKG_CONFIG_LIBDIR)),$(DESTDIR)$(d)) :
+   $(SHELL) $(top_srcdir)/mkdirs.sh $@
+ 
+ uninstall : uninstall.data uninstall.libs

Thanks,

-- 
Colin Watson   [cjwat...@ubuntu.com]



-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org



parted unblock, and upcoming transition

2010-03-11 Thread Colin Watson
Could parted 1.8.8.git.2009.07.19-6 be unblocked, please?  It's needed
to smooth the path for parted 2.2 in the near future.

Speaking of which, I would like to upload parted 2.2 to unstable (it's
currently in experimental) once 1.8.8.git.2009.07.19-6 reaches testing.
The reason to try to get this into squeeze is that without it we won't
properly support "Advanced Format" (i.e. >512-byte logical sectors) hard
drives, which are becoming increasingly common.  There is an ABI
transition involved, among the following source packages (maintainers
CCed):

  devicekit-disks
  fatresize
  gnu-fdisk
  gparted
  libvirt
  partconf
  partitioner
  partitionmanager
  partman-base
  pyparted
  qtparted
  udisks

I believe that all of these are trivial matters of changing
build-dependencies, with the exception of fatresize which needs a fix to
its configure script as well (already done upstream); some of these
packages already had appropriate or nearly-appropriate versions in
experimental, last I checked.

We might want to let devicekit-disks/udisks get into testing first, but
after that's done, would it be convenient to the release team and to the
other maintainers CCed here to start this transition?  I can supervise
it, upload the d-i parts and the QA-maintained qtparted directly, and
file bugs with patches as necessary for the others.

Thanks,

-- 
Colin Watson   [cjwat...@debian.org]


-- 
To UNSUBSCRIBE, email to debian-qa-packages-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org
Archive: http://lists.debian.org/20100311122242.gb23...@riva.ucam.org



Re: Moving packages@qa.debian.org

2001-12-16 Thread Colin Watson
On Sun, Dec 16, 2001 at 11:51:36PM +0100, Josip Rodin wrote:
> On Sun, Dec 16, 2001 at 09:30:46PM +0000, Colin Watson wrote:
> > I'm told that debian-qa-packages has now been created. Could
> > [EMAIL PROTECTED] be pointed at that list instead of debian-qa,
> > please?
> 
> I assume we have a consensus on this?

The idea was first proposed here, after which we started using
[EMAIL PROTECTED] as the orphaned package maintainer address:

  http://lists.debian.org/debian-qa/2001/debian-qa-200104/msg00042.html

I then proposed the -qa-packages list here:

  http://lists.debian.org/debian-qa/2001/debian-qa-200110/msg00168.html

Both times there seemed to be a consensus.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#119031: mpg123: segfault on specific song

2001-12-27 Thread Colin Watson
Hi,

I see you reported this bug against mpg123 0.59q-2. Could you please try
out version 0.59r-10, recently installed in testing, and say whether
this fixes your problem?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#126654: circlepack: Missing malloc() prototype could cause segfaults on ia64

2001-12-29 Thread Colin Watson
On Thu, Dec 27, 2001 at 04:47:09PM -0500, John R . Daily wrote:
> Package: circlepack
> Version: N/A; reported 2001-12-27
> Severity: normal
> Tags: patch
> 
> Unprototyped functions are presumed to return 32-bit integers;
> on ia64, pointers occupy 64 bits, and can be corrupted without
> a prototype.

I've just adopted circlepack and fixed this bug. The upload is in
incoming now.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Moving packages@qa.debian.org

2001-12-16 Thread Colin Watson
Hi,

I'm told that debian-qa-packages has now been created. Could
[EMAIL PROTECTED] be pointed at that list instead of debian-qa,
please?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: psptools - extra bug - 4th message

2002-01-11 Thread Colin Watson
On Wed, Jan 09, 2002 at 01:20:49PM -0700, Jesse Don Hickson III wrote:
> I have found the -Pprinter option from upstream is also broken.
> My fix for -P printer option works not the stock -Pprinter option.
> I mentioned my fix in the previous three messages. I thought
> the stock -Pprinter option worked except now find that is broken too.
> The psplpr was probably using an extraneous environment variable
> for PRINTER= instead of the command line option specified.
> 
> Be sure to use psplpr -P printer myfile.ps and 
> not the broken psplpr -Pprinter myfile.ps form.

I'll fix this properly and probably upload something over the weekend.

If any of the problems in the mails you sent to [EMAIL PROTECTED]
are not filed in the bug tracking system at
http://bugs.debian.org/psptools, please file them there, or they are
likely to get lost.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#123303: kyahoo: ";0,0 0" appended to things written in a chat

2002-01-12 Thread Colin Watson
On Sat, Jan 12, 2002 at 07:16:00PM +, Aquarius wrote:
> On Sun, Dec 16, 2001 at 03:23:21PM -0600, Colin Watson wrote:
> > On Mon, Dec 10, 2001 at 09:02:07PM +, Aquarius wrote:
> > > KYahoo seems to be appending the string ";0,00" to things other 
> > > chatters type. See transcript excerpt below.
> > 
> > Could you try it with debugging messages turned on (Yahoo / Debug
> > Messages)? I'd try myself, but it wants me to do registration stuff, and
> > life's too short, as you know. :)
> 
> The suffixed characters seem to be coming up in the debug messages too:
> 
> Received packet:
>   Service = (6) Message
>   Real ID = [my ID snipped]
>   Active ID = [my ID snipped]
>   Connection ID = 6E963178
>   Magic ID = 72C6
>   Unknown Flag 1 = 72C11F3E
>   Message Type = 1
>   Raw Content = [other user ID snipped],,right I'll call you;0,00
>   Message ID = [other user ID snipped]
>   Message = right I'll call you;0,00

OK. There's a patch in libyahoo CVS that looks relevant. It would
probably be better to build kyahoo against the new libyahoo packages
rather than hacking its local copy, though.

I see somebody is planning to adopt kyahoo, so I'm cc'ing this to him.
The libyahoo patch is below in case it's useful.

--- kyahoo-0.7.0/kyahoo/libyahoo/libyahoo.c Mon May  7 03:57:31 2001
+++ cvs/libyahoo/libyahoo.c Tue Dec  4 01:35:26 2001
@@ -3222,6 +3574,8 @@ int yahoo_parsepacket_message(struct yah
 {
char *content;
char *tmp_id;
+   char *tmp_msg;
+   char *tmp_imvironment;
int i, j, section;
 
if (pkt->msgtype == YAHOO_MSGTYPE_OFFLINE)
@@ -3232,9 +3586,14 @@ int yahoo_parsepacket_message(struct yah
/* Make working copy of content */
content = strdup(inpkt->content);
tmp_id = strdup(content);
+   tmp_msg = strdup(content);
+   tmp_imvironment = strdup(content);
 
/* initialize */
pkt->msg_status = 0;
+   pkt->imvironment_enabled = 0;
+   pkt->imvironment_unkn1 = 0;
+   pkt->imvironment_unkn2 = 0;
 
/* possible message content formats: */
 /* userid(#) *//* msgtype == YAHOO_MSGTYPE_STATUS */
@@ -3248,6 +3607,8 @@ int yahoo_parsepacket_message(struct yah
j = 0;
section = 0;
tmp_id[0] = 0;
+   tmp_msg[0] = 0;
+   tmp_imvironment[0] = 0;
while (i < strlen(content))
{
char ch = content[i];
@@ -3294,10 +3655,71 @@ int yahoo_parsepacket_message(struct yah
}
}
}
+   else if (section == 3) /* parsing message text */
+   {
+   if ( ch == 6 )
+   {
+   j = 0;
+   section = 4;
+   }
+   else
+   {
+   tmp_msg[j++] = ch;
+   tmp_msg[j] = 0;
+   }
+   }
+   else if (section == 4) /* parsing invironment name */
+   {
+   if ( ch == ';' )
+   {
+   j = 0;
+   section = 5;
+   }
+   else
+   {
+   tmp_imvironment[j++] = ch;
+   tmp_imvironment[j] = 0;
+   }
+   }
+   else if (section == 5) /* parsing imvir enabled flag */
+   {
+   if (ch == ',')
+   {
+   j = 0;
+   section = 6;
+   }
+   else
+   {
+   if (isdigit((int) ch))
+   {
+   pkt->imvironment_enabled *= 10;
+   pkt->imvironment_enabled += ch - '0';
+   }
+   }
+   }
+   else if (section == 6) /* parsing imvir unkn1 flag */
+   {
+   if (ch == 7)
+   {
+   j = 0;
+   section = 7;
+   }
+   else
+   {
+   if (isdigit((int) ch))
+   {
+   pkt->imvironment_unkn1 *= 10;
+   pkt->imvironment_unkn1 += ch - '0';
+   

Bug#118206: awe-drv: sfxload is located in /usr/bin

2002-01-14 Thread Colin Watson
In bug #118206, you wrote (by the way, please put the bulk of bug
reports in the message body and not all in the subject line):
> sfxload is located in /usr/bin.  However, when needed by post-install
> scripts (such as after awe_wave) at bootup, /usr hasn't been mounted
> yet for systems that differentiate between / and /usr.  A location
> such as /bin would get around this.

/etc/rcS.d/README says:

  The following sequence points are defined at this time:

  * After the S40 scripts have executed, all local file systems are mounted
and networking is available. All device drivers have been initialized.

I suggest you run your initialization script either after S40 in
/etc/rcS.d or in /etc/rc[2-5].d. Is there some special reason why you
have to run it before local file systems are mounted?

I don't think sfxload should be moved to the root filesystem.

Regards,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#128444: This *is* serious

2002-01-15 Thread Colin Watson
severity 128444 serious
thanks

In practice this is serious. I'll put together a fix.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#128444: This *is* serious

2002-01-15 Thread Colin Watson
On Tue, Jan 15, 2002 at 02:27:07PM -0800, Thomas Bushnell, BSG wrote:
> Colin Watson <[EMAIL PROTECTED]> writes:
> > severity 128444 serious
> > thanks
> > 
> > In practice this is serious. I'll put together a fix.
> 
> "in practice".  No.  It doesn't violate policy.  Maybe it should, but
> it doesn't.  Of course, it's fine to fix it.  But there is no rule
> that packages must not depend on such things.

Sometimes actually getting things working is more important than
worrying about which rules they violate, and I'm volunteering to get
things working. In any case, the serious severity is also for "in the
package maintainer's opinion, makes the package unsuitable for release",
and in this package maintainer's opinion a package that can't be built
by autobuilders is unsuitable.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#129414: psptools: try this patch -p0 on psplpr.pl.in instead of #129287

2002-01-15 Thread Colin Watson
Don wrote:
> This diff supercedes my previous #129287 and #128669.

OK, I am now horribly confused. What with the three patches you've sent
to the bug tracking system, each of which claims to supersede earlier
patches but does different things, and the four mails you sent to me
privately, I really have no clue about what's going on. Bear in mind
that psptools doesn't have a real maintainer, so, while my Perl is good,
I'm not immediately familiar with what psptools does.

Please send *separate* patches for each feature/bugfix you propose,
explaining the problem addressed by each one. You can drop the --lpr
stuff, I've already got that fixed locally. Also please try to avoid
patches containing lots of old commented-out code and whitespace
changes.

If you send the patches to [EMAIL PROTECTED], it will avoid opening
a new bug report for them.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: Bug#129414: psptools: try this patch -p0 on psplpr.pl.in instead of #129287

2002-01-16 Thread Colin Watson
On Thu, Jan 17, 2002 at 03:11:40AM +, Colin Watson wrote:
> On Wed, Jan 16, 2002 at 11:22:59AM -0700, Don wrote:
> > Please look if there is a missing print; statement causing the
> > dropped and duplicated lines. Then all of the bugs would be gone,
> > at least as far as the program was intended to work.
> 
> I believe I have a fix for this. I'm just building and testing packages
> now, but the diff fragment is:

[...]

> This passes the test given in #116263, and should fix your problems too.
> 
> I'll let you know when I've uploaded new packages.

I believe that the packages currently in incoming
(http://incoming.debian.org/, GPG-signed by me) should fix everything
you've reported so far. Please let me know if there are any further
problems, or file a bug report or inform an existing bug report if
appropriate.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#129104: bug 129104 (buffer overflow + template reading in cgiemail)

2002-01-17 Thread Colin Watson
On Wed, Jan 16, 2002 at 04:17:25PM -0500, Thomas Smith wrote:
> I had released a new version with an almost-correct fix for the buffer
> overflow problem last night, and just looked at your mail to the bug
> this afternoon.  My fix was almost the same as yours; it used
> CGI_ERRMSG_MAX-1 instead of CGI_ERRMSG_MAX.  My next upload will use
> your correct version.

Right, that change isn't too big a deal.

> That leaves the other stuff...  the main problem is the template files,
> and I like the solution you suggested (restricting them to a specific
> directory).  The relevant code, I think, is in the
> cgi_standard_{email,echo,file} functions at the end of cgilib.c
> (beginning on line 1010).
> 
> Hmm, one problem that just occurred to me is that we can't easily make
> the location of the template files a compile-time option because people
> reconfigure their webservers to have different document roots, and the
> current design of cgiemail requires the template files to have
> PATH_TRANSLATEDs.  That means, I guess, that configuration file parsing
> might have to be added.

Yes, with the current design there really isn't any way to do it well
(including backwards compatibility), only patch it up. I suggest a
simple 'templatedir="/foo/bar/baz"' in a trusted place like
/etc/cgiemail.conf. That has the advantage that it can be parsed by the
shell, so you can easily set it with debconf and not clobber the old
setting on upgrades.

> Maybe could restrict to files with extension .CGIEMAIL_TEMPLATE.
> 
> Do you have any other ideas, or a preference between these two?

I think I prefer the directory idea: I usually prefer moving files
between directories to renaming files, somehow.

> The other issue is that it uses mkstemp() which is not very secure.  I
> don't guess that this is exploitable, but should be fixed at some point.

tmpnam(), rather - mkstemp() is fine. It's not very hard to convert from
one to the other with a bit of care, so I'll do that later.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#118969: Close?

2002-01-17 Thread Colin Watson
On Thu, Jan 17, 2002 at 09:22:35PM +, Stephen Stafford wrote:
> This looks like it is no longer the case.  Perhaps this bug should be 
> closed?  (I will not close it myself as I don't use zope at all, so 
> perhaps there are issues here I don't understand)

The conflict in zope was, as I understand it, to get appropriate python
dependencies in zope products. (See the zope Debian changelog.) I don't
think this bug should be closed until those are added, but it could be
downgraded to non-RC.

Actually, thinking about it, I'm not sure I understand why the conflicts
were added. zope-pythonmethod doesn't depend on python itself, but
depends on zope which depends on python for it. If it has
version-dependent code then this could be grounds for a bug, but it
doesn't look like grounds for a conflict to me. Could the zope
maintainer please comment on this?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: package "saytime"

2002-01-23 Thread Colin Watson
On Tue, Jan 22, 2002 at 04:21:01PM -0700, David Karlin wrote:
> I also looked at the list of packages currently being adopted at
> http://www.debian.org/devel/wnpp/being_adopted and followed
> the links for "saytime" (there are two).  The information there
> was unclear to me.  I cannot tell if someone is stepping up to
> adopt this package or not.  If not, I would consider it, and
> have already arranged for a sponsor.

Neither of the potential adopters have done anything for some time, and
as far as I know neither is yet a developer. If I were you I'd mail the
bug reports to say you're contacting Ian Zimmerman and Javi about it and
are interested yourself, mail both of them to ask whether they're still
interested, wait a reasonable amount of time (a couple of weeks), and
then adopt the package.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#129104: bug 129104 (buffer overflow + template reading in cgiemail)

2002-02-03 Thread Colin Watson
On Sun, Jan 20, 2002 at 11:54:06PM -0500, Thomas Smith wrote:
> On Thu, Jan 17, 2002 at 04:42:42PM +0000, Colin Watson wrote:
> > Yes, with the current design there really isn't any way to do it well
> > (including backwards compatibility), only patch it up. I suggest a
> > simple 'templatedir="/foo/bar/baz"' in a trusted place like
> > /etc/cgiemail.conf. That has the advantage that it can be parsed by the
> > shell, so you can easily set it with debconf and not clobber the old
> > setting on upgrades.
> 
> Ok, that sounds as good as anything can be.  Go ahead and write the code
> (or does there need to be more planning?); I'll do the debconf stuff +
> make up a sane default template telling people what to do when cgiemail
> stops working.  Templates should live in /usr/share/cgiemail, right?
> 'Cause they're architecture-independent.
> 
> Don't forget not to let people do something like "GET
> /cgi-bin/cgiemail/../../../etc/passwd" :-)

OK, here's some code which I believe does the job. The parser is hardly
elegant, but, as the configuration file is presumably in a trusted
location, that isn't a security problem. Please try this out and see how
it goes.

Sorry for the delay in putting this together.

--- cgiemail-1.6.orig/cgilib.c
+++ cgiemail-1.6/cgilib.c
@@ -461,6 +461,59 @@
 }
 
 int
+cgi_read_configuration(formp, templatedir, templatedirlen)
+ cgi_form *formp;
+ char *templatedir;
+ int templatedirlen;
+{
+  FILE *cfp;
+  char *linebuf;
+  int linebuflen;
+  char *directive = "templatedir=\"";
+  int directivelen = strlen(directive);
+
+  cfp = fopen(TEMPLATECONF, "r");
+  if (!cfp)
+{
+  formp->errcond = 1;
+  strcpy(formp->errmsg, "500 Could not open configuration file");
+  cgi_concat_errno(formp->errmsg);
+#ifdef DISCLOSE_PATHS
+  strncpy(formp->errinfo, TEMPLATECONF, CGI_ERRMSG_MAX);
+#else
+  strcpy(formp->errinfo, "Configuration file could not be accessed.");
+#endif /* DISCLOSE_PATHS */
+  return(1);
+}
+
+  linebuflen = templatedirlen + directivelen + 2;
+  linebuf = (char *) malloc(linebuflen + 1);
+  while (fgets(linebuf, linebuflen - 1, cfp))
+{
+  if (!strncmp(linebuf, directive, directivelen))
+   {
+ char *inquotes = linebuf + directivelen;
+ char *endquotes = strchr(inquotes, '"');
+ if (endquotes)
+   {
+ strncpy(templatedir, inquotes, endquotes - inquotes);
+ return(0);
+   }
+   }
+}
+
+  formp->errcond = 1;
+  strcpy(formp->errmsg,
+"500 Could not find templatedir in configuration file");
+#ifdef DISCLOSE_PATHS
+  strncpy(formp->errinfo, TEMPLATECONF, CGI_ERRMSG_MAX);
+#else
+  strcpy(formp->errinfo, "No templatedir=\"...\" line in configuration file.");
+#endif /* DISCLOSE_PATHS */
+  return(1);
+}
+
+int
 cgi_template_fill(formp, templatefile)
  cgi_form *formp;
  char *templatefile;
@@ -468,6 +521,7 @@
   FILE *tfp;
   char varname[CGI_VARNAME_MAX];
   char formatstr[CGI_VARNAME_MAX];
+  char templatedir[CGI_VARNAME_MAX];
   int varnamelen=0, formatlen=0, nfound=0, substitutions=0;
   int inchar, parse_state=0;
 
@@ -475,6 +529,22 @@
 
   char *envval;
 #endif /* ENABLE_CGIENV */
+
+  if (cgi_read_configuration(formp, templatedir, CGI_VARNAME_MAX - 1))
+return(1);
+
+  if (strncmp(templatefile, templatedir, strlen(templatedir)) ||
+  strstr(templatefile, "/../"))
+{
+  formp->errcond=1;
+  strcpy(formp->errmsg, "403 Template not in valid directory");
+#ifdef DISCLOSE_PATHS
+  strncpy(formp->errinfo, templatefile, CGI_ERRMSG_MAX);
+#else
+  strcpy(formp->errinfo, "Template file could not be accessed.");
+#endif /* DISCLOSE_PATHS */
+  return(1);
+}
 
   /* open template file */
   tfp = fopen(templatefile, "r");
--- cgiemail-1.6.orig/debian/rules
+++ cgiemail-1.6/debian/rules
@@ -38,7 +38,7 @@
 configure-stamp:
dh_testdir
# Add here commands to configure the package.
-   ./configure --prefix=/usr --mandir=\$${prefix}/share/man 
--infodir=\$${prefix}/share/info
+   ./configure --prefix=/usr --mandir=\$${prefix}/share/man 
--infodir=\$${prefix}/share/info --sysconfdir=/etc
 
touch configure-stamp
 
--- cgiemail-1.6.orig/Makefile.in
+++ cgiemail-1.6/Makefile.in
@@ -4,6 +4,11 @@
 [EMAIL PROTECTED]@
 [EMAIL PROTECTED]@
 
[EMAIL PROTECTED]@
[EMAIL PROTECTED]@
+TEMPLATECONF=$(sysconfdir)/cgiemail.conf
+CFLAGS := $(CFLAGS) -DTEMPLATECONF="\"$(TEMPLATECONF)\""
+
 PROG=cgiemail cgiecho cgifile cgicso
 
 DISTFILES=README ChangeLog *.[ch] configure *.in testce.txt

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#132146: biomode: Files in etc not marked as conffiles

2002-02-03 Thread Colin Watson
On Sun, Feb 03, 2002 at 06:06:01PM +, Malcolm Parsons wrote:
> Package: biomode
> Version: 1.002-5
> Severity: Serious
> Justification: Policy 11.7
> 
> biomode contains files in /etc that are not marked as conffiles.
> This violates a must in Debian Policy, so is a Serious bug.

I'll handle this one.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#132822: upsd: Files in etc not marked as conffiles

2002-02-07 Thread Colin Watson
On Thu, Feb 07, 2002 at 07:45:49PM +, Malcolm Parsons wrote:
> Package: upsd
> Version: (2.5-2)
> Severity: Serious
> Justification: Policy 11.7
> 
> upsd contains files in /etc that are not marked as conffiles.
> This violates a must in Debian Policy, so is a Serious bug.

I've uploaded a fix.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#132826: vkeybd: Files in etc not marked as conffiles

2002-02-07 Thread Colin Watson
On Thu, Feb 07, 2002 at 07:45:50PM +, Malcolm Parsons wrote:
> Package: vkeybd
> Version: (0.4.3.1-1.3)
> Severity: Serious
> Justification: Policy 11.7
> 
> vkeybd contains files in /etc that are not marked as conffiles.
> This violates a must in Debian Policy, so is a Serious bug.

I've uploaded a fix.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#121142: svgalib1 fixed in incoming

2002-02-10 Thread Colin Watson
OK, I figured this out, and a fix is in incoming now. Here's the diff,
in case anyone's interested:

--- svgalib-1.4.3.orig/debian/changelog
+++ svgalib-1.4.3/debian/changelog
@@ -1,3 +1,12 @@
+svgalib (1:1.4.3-6) unstable; urgency=low
+
+  * QA upload.
+  * Set SUPPRESS_FOR_LIBC5 while installing into the temporary tree as well
+as when building, so that libvga doesn't get rebuilt against libc6
+(closes: #121142).
+
+ -- Colin Watson <[EMAIL PROTECTED]>  Mon, 11 Feb 2002 02:20:04 +
+
 svgalib (1:1.4.3-5) unstable; urgency=low
 
   * Orhaning the package, I think I am not skilled enough for it.
--- svgalib-1.4.3.orig/debian/rules
+++ svgalib-1.4.3/debian/rules
@@ -243,7 +243,8 @@
sharedlibdir=`pwd`/../debian/tmp-$(sharedc)/$(compatlib) \
libdir=`pwd`/../debian/tmp-$(develc)/$(compatlib2) \
includedir=`pwd`/../debian/tmp-$(develc)/$(compatinc) \
-   installsharedlib installstaticlib installheaders
+   installsharedlib installstaticlib installheaders \
+   SUPPRESS_FOR_LIBC5=y
mv debian/tmp-$(sharedc)/$(compatlib)/libvga.so \
   debian/tmp-$(sharedc)/$(compatlib)/libvga.so.$(soname) 
mv debian/tmp-$(sharedc)/$(compatlib)/libvgagl.so \

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#129104: bug 129104 (buffer overflow + template reading in cgiemail)

2002-02-12 Thread Colin Watson
On Tue, Feb 12, 2002 at 05:19:49PM -0500, Thomas Smith wrote:
> I thought of a way not to break compatability: if there's no config
> file, have it act like it did before.
> 
> Here's a patch.

Looks good to me.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#91243: Bug #91243 against dejasearch

2002-02-14 Thread Colin Watson
reassign 114643 ftp.debian.org
retitle 114643 Please remove dejasearch
thanks

On Wed, Feb 13, 2002 at 02:21:33PM +, Brian Potkin wrote:
> Having run into this bug when attempting to work with dejasearch this
> morning I have concluded that it would not be a bad thing if it was
> withdrawn from Debian.  Quite simply, the script does not work and it
> does not appear it will be be fixed in the near future.

I agree. It's been orphaned for four months and nobody's stepped forward
to fix it either in Debian or upstream. We can always reintroduce it if
somebody does, but until then we're better off without it.

Note that 'deja' in the surfraw package appears to work, and at least
provides dejasearch's basic functionality.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#128164: svgalibg1: segfault (file missing perhaps?)

2002-02-14 Thread Colin Watson
retitle 128164 svgalibg1: restorefonts segfaults
thanks

Lazarus Long wrote:
> # savetextmode
> svgalib 1.4.3
> svgalib: Signal 11: Segmentation fault received.
> /usr/bin/savetextmode: line 9:  1434 Segmentation fault  restorefont -w 
> /etc/vga/fontdata

I've removed the annotation in the title because it doesn't seem as if
it's due to a missing file - 'restorefont -w' is supposed to write to
(and, if necessary, create) the file in its arguments, and it works OK
here.

Can you get an strace in order to narrow this down a bit more?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#128164: svgalibg1: segfault (file missing perhaps?)

2002-02-14 Thread Colin Watson
On Thu, Feb 14, 2002 at 08:08:48PM +, Colin Watson wrote:
> I've removed the annotation in the title because it doesn't seem as if
> it's due to a missing file - 'restorefont -w' is supposed to write to
> (and, if necessary, create) the file in its arguments, and it works OK
> here.
> 
> Can you get an strace in order to narrow this down a bit more?

Oh yes - knowing which graphics card you're using would be useful as
well.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#134865: kde-games is uninstallable

2002-02-20 Thread Colin Watson
On Wed, Feb 20, 2002 at 01:36:37PM +0100, Andr? Dahlqvist wrote:
> Sorry, but the following packages have unmet dependencies:
>   kde-games: Depends: kasteroids but it is not going to be installed
>   E: Sorry, broken packages

It might be useful if you could try to install kasteroids and see what
problems that shows.

I rather suspect that this is a duplicate of #133171, though.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#134865: kde-games is uninstallable

2002-02-20 Thread Colin Watson
reassign 134865 libkmid
merge 133171 134865
thanks

On Wed, Feb 20, 2002 at 09:38:19PM +0100, Andr? Dahlqvist wrote:
> Colin Watson <[EMAIL PROTECTED]> wrote:
> > I rather suspect that this is a duplicate of #133171, though.
> 
> I noticed that bug after reporting this one. Lets hope that bug gets
> fixed before woody.

There's a fix in incoming.

-- 
Colin Watson  [EMAIL PROTECTED]



Re: meta-kde package and Testing

2002-02-25 Thread Colin Watson
On Mon, Feb 25, 2002 at 09:51:44PM +0200, Hugo van der Merwe wrote:
> Is there any chance that the meta-kde package can make it into testing 
> before release?
> 
> Sorry, this has probably been asked many many times... (where's the 
> answer, debian-devel ?)

You'll have to check with the KDE maintainer, Chris Cheney. Somebody
really needs to take it over and sort out its bugs - see #135796.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#124200: svgalib-bin: spelling in package description

2002-03-03 Thread Colin Watson
severity 124200 minor
thanks

Rather than saying "without going through X Window", I'd prefer
something like "without going through the X Window System".

Also, I'm not sure that the second part of your report is correct. As
far as I know, "graphics modes" is a common phrase in English, and
"graphics" there is a noun, not an adjective (i.e. "modes of graphics").

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#127933: microwindows: microwindows source is organized wrong

2002-03-03 Thread Colin Watson
severity 127933 wishlist
thanks

Thomas Bushnell BSG wrote:
> The microwindows source is organized wrongly.  The .orig.tar.gz file
> contains itself another .tar.gz, and a set of patches.  This is so wrong,
> it doesn't even begin to deserve mention.  But whoever adopts this package
> really *must* reorganize the source to be more sane.

This just looks like DBS to me. Not everybody likes it (I don't,
really), but considering that packages like libc6, xfree86, and apache
use similar schemes I don't think that it's actually a bug.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#110331: This bug seems done now

2002-03-03 Thread Colin Watson
On Sun, Mar 03, 2002 at 07:09:38PM -0800, Thomas Bushnell, BSG wrote:
> Colin Watson <[EMAIL PROTECTED]> writes:
> > microwindows (0.88pre11-4) unstable; urgency=low
> > 
> >   * NMU
> >   * Fix libmicrowindows0-fb-dbg and libmicrowindows0-x11-dbg dependencies.
> > (Closes: #121459)
> > 
> >  -- Thomas Bushnell, BSG <[EMAIL PROTECTED]>  Tue,  1 Jan 2002 13:04:42 
> > -0800
> 
> Yes, but it's an NMU, so we leave the bug open until the maintainer
> fixes it in his source.

Current practice is to simply close bugs in packages maintained by the
QA group once they've been dealt with, rather than regarding them as
NMUs. A new maintainer taking over the package will have to start from
the most recent version in the archive anyway.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#133970: voberon cannot build from sources on ia64

2002-03-03 Thread Colin Watson
Here's the config.log from the build on ia64 (caballero.debian.org).
Since oo2c is segfaulting, perhaps this bug should be reassigned there?


This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

configure:531: checking for oo2c
configure:636: checking initialization file
configure:650: checking installation directory
configure:674: checking for ooconfig
configure:695: checking for library support
configure:749: checking for a BSD compatible install
configure:804: checking for module X11.Mod
configure:830: oo2c -Mv -O --libs  conftest.Mod 1>&5
./configure: line 1: 20093 Segmentation fault  $OOC -Mv $OFLAGS --libs "" 
conftest.$ooc_ext 1>&5
configure: failed program was:
#line 817 "configure"
char XOpenDisplay();
int test_fct() {
XOpenDisplay(); return 0; }

MODULE conftest [INTERFACE "C"; LINK FILE "conftest.c" END];
IMPORT dummy:=Strings, Strings, X11;
END conftest.


Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#133903: sarg's config file format has changed

2002-03-08 Thread Colin Watson
On Fri, Mar 08, 2002 at 11:03:29AM +1000, Damian Bickhoff wrote:
> Package: sarg
> Version: 1.2.1-4
> 
> The reason that sites&users doesn't work as a tag is because there's no
> longer support for it in the sarg binary.  The config file currently
> shipped with the Debian package is pretty old, and should probably be
> updated.
> 
> I've attached a patch (I hope) that brings things up to the current
> format.

It does seem to have gone missing - perhaps you could resend. You can
mail things directly to [EMAIL PROTECTED] rather than using
reportbug, if that makes it easier.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#129104: bug 129104 (buffer overflow + template reading in cgiemail)

2002-03-09 Thread Colin Watson
Hi,

Any progress with this cgiemail bug? If you've got the debconf stuff
written, I could test it if that would help ...

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#134140: Out-of-date config.* seems to cause the other problem ...

2002-03-15 Thread Colin Watson
There's a bit in freeamp's Makefile.in that does this:

  FREEAMPOBJ += $(FREEAMP$(HOST_OS)OBJ) $(APSOBJ)

... so if $(HOST_OS) doesn't get worked out because config.* are too old
then the Makefile will fail.

I'll upload a corrected package tonight.

-- 
Colin Watson  [EMAIL PROTECTED]



kde-i18n upload

2002-03-16 Thread Colin Watson
I'm about to do a QA upload of kde-i18n to get rid of its krayon
references (#129285). Please shout if you object ...

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#130084: german template file [playmidi 2.4-2]

2002-03-16 Thread Colin Watson
Hi,

Is there still debate about how this translation should look? If not, it
would be good if somebody could provide a corrected translation which
can then be applied. (I speak some German, but not well enough to judge
style!)

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#136891: xcolorsel doesn't display color!

2002-03-22 Thread Colin Watson
On Mon, Mar 11, 2002 at 11:59:04AM -0800, Ian Zimmerman wrote:
> My unofficial version, which can be found at
> 
> http://www.speakeasy.net/~itz/hacks
> 
> works around this.  (It can hardly be called a "fix": I merely link
> with libXaw3d, which happens to be compatible with the old libXaw, on
> whose undocumented internals xcolorsel relies, unfortunately.)
> 
> Since I am not an official Debian member, I need a sponsor to get this
> into the distribution.

I'll sponsor this if you like. The diff looks good.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#138995: libcw: text entry widget duplicates characters during quick typing

2002-03-29 Thread Colin Watson
On Tue, Mar 19, 2002 at 03:06:38AM +, xsdg wrote:
> I usually type between 60 and 80 words per minute.  As I use cooledit
> to edit my LaTeX documents, I use it quite often.  Sometimes, when I
> press a key in the main text edit widget in cooledit, it prints the
> previously-entered character (or, sometimes, the character before
> that) in place of the character which I pressed.  This occurs
> consistently, although not at every keypress.  Also, the problem
> happens most notably during inter-word spaces.

Just by way of a data point, I can't reproduce this at all (using the
same versions of cooledit and libcw). Perhaps this is an X server bug?
I've occasionally noticed keystrokes being duplicated in a variety of X
clients recently when the system is under moderate to heavy load.

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#111923: linuxconf: segfault

2002-03-29 Thread Colin Watson
Hi,

I can't reproduce this bug with the current version of linuxconf in
testing and unstable, 1.26r4-2. I tried 'linuxconf --setmod treemenu'
from a fresh install, and linuxconf started up fine and did indeed
display the tree menu.

Could you try the latest version and see if you can still reproduce
this?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#129919: langdrill segfaults with default /etc/langdrillrc

2002-03-29 Thread Colin Watson
Hi,

I can't reproduce your segfault bug against langdrill on a current
unstable system. Could you check to see if you can still reproduce this?
If so, it would be great if you could build it with debugging symbols
(setting -g in both CFLAGS and LDFLAGS in src/Makefile should be
enough), run it inside gdb, and get a backtrace.

The default /etc/langdrill.rc does appear to have an error - the first
line should probably begin '#include', not 'include'. It might also be
worth changing that and see if the segfault goes away.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#129919: [chr.ohm@gmx.net: Re: Bug#129919: langdrill segfaults with default /etc/langdrillrc]

2002-04-05 Thread Colin Watson
- Forwarded message from Christian Ohm <[EMAIL PROTECTED]> -

Date: Fri, 5 Apr 2002 13:51:51 +0200
From: Christian Ohm <[EMAIL PROTECTED]>
To: Colin Watson <[EMAIL PROTECTED]>
Subject: Re: Bug#129919: langdrill segfaults with default /etc/langdrillrc
User-Agent: Mutt/1.3.28i
Organization: theVoid
X-Operating-System: Linux moongate 2.4.18-preempt-lockbreak 
X-Spam-Status: No, hits=-5.0 required=5.0 tests=IN_REP_TO version=2.11

On Friday, 29 March 2002 at 22:12, Colin Watson wrote:
> I can't reproduce your segfault bug against langdrill on a current
> unstable system. Could you check to see if you can still reproduce this?
> If so, it would be great if you could build it with debugging symbols
> (setting -g in both CFLAGS and LDFLAGS in src/Makefile should be
> enough), run it inside gdb, and get a backtrace.
> 
> The default /etc/langdrill.rc does appear to have an error - the first
> line should probably begin '#include', not 'include'. It might also be
> worth changing that and see if the segfault goes away.

changing the 'include' to '#include' fixed it.

bye
christian ohm

-- 
You'll never see all the places, or read all the books, but fortunately,
they're not all recommended.

- End forwarded message -

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#141441: FTBFS: Build failure of libg++27 on i386

2002-04-06 Thread Colin Watson
On Sat, Apr 06, 2002 at 02:23:30PM +0900, Junichi Uekawa wrote:
> ld: cannot open crt1.o: No such file or directory
> *** The command 'gcc -O2 -o conftestconftest.c' failed.
> *** You must set the environment variable CC to a working compiler.

Looks like this might just be a missing build-dep on libc5-altdev. I'll
upload a fix in a moment.

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#141670: mgdiff: cvsmgdiff(1) missing NAME section

2002-04-07 Thread Colin Watson
Package: mgdiff
Version: 1.0-18
Severity: normal

The new cvsmgdiff(1) is missing a NAME section:

[EMAIL PROTECTED] ~]$ lexgrog /usr/share/man/man1/cvsmgdiff.1.gz 
/usr/share/man/man1/cvsmgdiff.1.gz: parse failed

The other man pages in the package are correct.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#129104: cgiemail: buffer overflow and script reading vulnerabilities

2002-04-08 Thread Colin Watson
On Mon, Apr 08, 2002 at 10:36:31AM -0400, Bruce R. Lewis wrote:
> A recent message on debian-devel-announce shows cgiemail having been
> removed from the upcoming release.
> 
> Has the buffer overflow fix for cgicso been checked in?  If not, one
> option is to remove cgicso entirely, as it is really not useful except
> at MIT, and its existence probably confuses some people.
> 
> As for the script-reading vulnerability, why not just have cgiemail and
> cgiecho not echo back the message sent at all; just say "a message was
> sent" or somesuch.  Seems like a quick fix is needed if cgiemail is to
> be included in woody.

Better fixes are available, though. I'd forgotten that the last message
in this bug left it up to me to test them ... I'll have a look today or
tomorrow and see if we can get this sorted.

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#129104: cgiemail: buffer overflow and script reading vulnerabilities

2002-04-09 Thread Colin Watson
On Mon, Apr 08, 2002 at 11:00:06PM -0500, Thomas Smith wrote:
> On Mon, Apr 08, 2002 at 02:50:18PM -0500, Colin Watson wrote:
> > Better fixes are available, though. I'd forgotten that the last
> > message in this bug left it up to me to test them ... I'll have a look
> > today or tomorrow and see if we can get this sorted.
> 
> There is a new version to test, just in case you have already downloaded
> it.
> 
> As before, it is at <http://finbar.dyndns.org/~tgs/deb/>.  The version
> to test is 1.6-14.

OK, some things:

--- 8/debian/config Thu Jan  1 01:00:00 1970
+++ 14/debian/configTue Apr  9 22:20:53 2002
@@ -0,0 +1,28 @@
+#!/bin/bash
+CONFIG="/etc/cgiemail.conf"
+set -e
+# use debconf
+. /usr/share/debconf/confmodule
+
+# get configuration value
+if [ -f $CONFIG ];
+then
+   . $CONFIG || true;
+   db_set cgiemail/template_dir $templatedir

$templatedir should be "$templatedir" here, for safety.

+fi
+
+
+if dpkg --compare-versions $2 lt-nl 1.6-13;

$2 has to be "$2" here (more than safety - the second argument is
sometimes empty).

+then
+   # if upgrading from an older version
+   db_input critical cgiemail/template_dir || true;
+else 
+   # if installing new or upgrading from recent.
+   db_input normal cgiemail/template_dir || true;

'normal' doesn't exist as a priority - should probably be 'medium'.

With that, dpkg-reconfigure works. Looks good.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Re: Trying to build Debian packages for KDE 3.0

2002-04-14 Thread Colin Watson
On Sat, Apr 13, 2002 at 01:04:06PM +0200, Josip Rodin wrote:
> On Fri, Apr 12, 2002 at 08:29:22PM -0700, Nick Garnett wrote:
> > Are you building KDE3.0 Debian packages?
> 
> I think we need to make debian-kde@lists.debian.org the maintainer of the
> kde package.

It would be better than the QA Group - you probably want the kde
metapackage to be maintained with some care. kdelibs3-crypto too - is
anything happening about #141838? kde{base,libs}-crypto are both
currently listed as orphaned.

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#142085: FTBFS: Build failure of voberon on i386

2002-04-17 Thread Colin Watson
reassign 142085 imlib-dev
thanks

On Wed, Apr 10, 2002 at 01:55:57PM +0900, Junichi Uekawa wrote:
> voberon fails to build from source on i386, when doing a binary-all build.
> 
> I am just filing this bug to notify you that I failed to build your
> package from source, using a very simplistic program called pbuilder.
> 
> 
> Build log follows:
> ===
> mv -f .libs/VOUsePrefs.lo VOUsePrefs.lo
> /usr/bin/libtool gcc -o liboo2c_vo.la -version-info 0:0:0 -rpath /usr/lib 
> -L/usr/lib VOPrefs.lo VOLLMac.lo VOEvent.lo VOUtil.lo VODragDrop.lo 
> VOPrefsScanner.lo VOObject.lo VODataStreamModel.lo VOFunctionModel.lo 
> VOTableModel.lo VOTreeModel.lo VOValue.lo VOPrefsParser.lo VOTextViewModel.lo 
> VODisplay.lo VOGUIObject.lo VOArray.lo VOButtonRow.lo VOColorArea.lo 
> VODrawTest.lo VOFrame.lo VOFuelGauge.lo VOImage.lo VOKeyHandler.lo VOLED.lo 
> VOLightChain.lo VOMulti.lo VOOszil.lo VOPanel.lo VOPatternLegend.lo 
> VOPieChart.lo VOPlate.lo VOPlot.lo VOPopup.lo VOPower.lo VOQuickHelp.lo 
> VOScale.lo VOSegment.lo VOLoad.lo VOSegment7.lo VODigiClock.lo VOSpace.lo 
> VOStatusLine.lo VOString.lo VOStringClock.lo VOTab.lo VOTextView.lo 
> VOToolbar.lo VOVecImage.lo VOBool.lo VOCycle.lo VOLine.lo VOPane.lo 
> VORadio.lo VOSlider.lo VOText.lo VOButton.lo VOClock.lo VOFrameGroup.lo 
> VOLabel.lo VOListModel.lo VOMenu.lo VOScroller.lo VOList.lo VOTable.lo 
> VOTree.lo VOWindow.lo VOColSelDlg.lo VOWindowGroup.lo VOFrmSelD!
> lg.lo VOImgSelDlg.lo VOMsgDialog.lo VOPrefsGUI.lo VOBoolPrefs.lo 
> VODisplayPrefs.lo VOFuelGaugePrefs.lo VOLightChainPrefs.lo VOListPrefs.lo 
> VOLoadPrefs.lo VOPopupPrefs.lo VOPowerPrefs.lo VOQuickHelpPrefs.lo 
> VORadioPrefs.lo VOScrollerPrefs.lo VOStringPrefs.lo VOTablePrefs.lo 
> VOWireFrame.lo VOBackground.lo VOButtonPrefs.lo VOButtonRowPrefs.lo 
> VOClockPrefs.lo VOCyclePrefs.lo VOLabelPrefs.lo VOMenuPrefs.lo 
> VOOszilPrefs.lo VOSliderPrefs.lo VOStatusLinePrefs.lo VOTextPrefs.lo 
> VOToolbarPrefs.lo VOArrayPrefs.lo VODigiClockPrefs.lo VOFrameGroupPrefs.lo 
> VOMultiPrefs.lo VOPanelPrefs.lo VOTabPrefs.lo VOWindowGroupPrefs.lo 
> VOUsePrefs.lo -loo2c_x11 -lImlib -lgif -lpng -ltiff -ljpeg -lz -lm -lXext  
> -L/usr/X11R6/lib  -lSM -lICE -lX11 -loo2c
> grep: /usr/lib/libgtk.la: No such file or directory
[etc.]

This looks like a bug in imlib-dev to me. libgtk isn't mentioned in the
link line above. However, it's mentioned in /usr/lib/libImlib.la (under
dependency_libs), so I think imlib-dev needs to mirror the dependencies
of imlib1 and depend on libglib1.2-dev and libgtk1.2-dev.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]


--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#138995: libcw: text entry widget duplicates characters during quick typing

2002-04-17 Thread Colin Watson
On Thu, Mar 28, 2002 at 08:49:23PM -0600, Colin Watson wrote:
> On Tue, Mar 19, 2002 at 03:06:38AM +, xsdg wrote:
> > I usually type between 60 and 80 words per minute.  As I use cooledit
> > to edit my LaTeX documents, I use it quite often.  Sometimes, when I
> > press a key in the main text edit widget in cooledit, it prints the
> > previously-entered character (or, sometimes, the character before
> > that) in place of the character which I pressed.  This occurs
> > consistently, although not at every keypress.  Also, the problem
> > happens most notably during inter-word spaces.
> 
> Just by way of a data point, I can't reproduce this at all (using the
> same versions of cooledit and libcw). Perhaps this is an X server bug?
> I've occasionally noticed keystrokes being duplicated in a variety of X
> clients recently when the system is under moderate to heavy load.

What video card do you have? So far I've noticed this kind of thing at
work, where I have an i810 card.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#145336: cgiemail: no NAME section in man pages

2002-04-30 Thread Colin Watson
Package: cgiemail
Version: 1.6-14
Severity: normal

None of cgiemail's man pages have NAME sections, so man-db can't parse
them for whatis information. See lexgrog(1) for documentation of the
correct format.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#145275: vchkpw: package is stuck two major versions back

2002-05-12 Thread Colin Watson
On Tue, Apr 30, 2002 at 02:03:51PM -, [EMAIL PROTECTED] wrote:
> it works great with existing packages like courier-imap and IMP, and
> it seems a shame that it is not updated or joined by other GPL tools
> like qmailadmin and vqadmin. Is it being maintained? (I'm not sure how
> to check if a package is orphaned)

No, I'm afraid vchkpw isn't being maintained; you can see the list of
orphaned packages at http://www.debian.org/devel/wnpp/>, or just
check its Maintainer: field. vchkpw is actually listed as in the process
of being adopted by Sean Preston <[EMAIL PROTECTED]>, but there has been
no word from him recently.

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Re: Little bug on Spanish translation of KWin

2002-05-12 Thread Colin Watson
On Sun, May 12, 2002 at 04:24:17AM +0200, NetVicious @ wrote:
> I sended days ago this little bug to http://bugs.kde.org
> 
> It only need a very very little change.
> 
> If you could modify it for be on stable release of woody it will be ok ;)

It's too late for non-critical changes to woody. You could file it as a
Debian bug report if you like to ensure it's not forgotten.

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



elm-me+ upload

2002-05-17 Thread Colin Watson
elm-me+ is orphaned and doesn't have a potential adopter at the moment,
so I'm going to fix its RC bug plus a couple of the other ones open
against it while I'm at it. Please shout if you object ...

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#138995: libcw: text entry widget duplicates characters during quick typing

2002-05-17 Thread Colin Watson
On Wed, Apr 17, 2002 at 07:20:02PM -0500, Colin Watson wrote:
> On Thu, Mar 28, 2002 at 08:49:23PM -0600, Colin Watson wrote:
> > On Tue, Mar 19, 2002 at 03:06:38AM +, xsdg wrote:
> > > I usually type between 60 and 80 words per minute.  As I use cooledit
> > > to edit my LaTeX documents, I use it quite often.  Sometimes, when I
> > > press a key in the main text edit widget in cooledit, it prints the
> > > previously-entered character (or, sometimes, the character before
> > > that) in place of the character which I pressed.  This occurs
> > > consistently, although not at every keypress.  Also, the problem
> > > happens most notably during inter-word spaces.
> > 
> > Just by way of a data point, I can't reproduce this at all (using the
> > same versions of cooledit and libcw). Perhaps this is an X server bug?
> > I've occasionally noticed keystrokes being duplicated in a variety of X
> > clients recently when the system is under moderate to heavy load.
> 
> What video card do you have? So far I've noticed this kind of thing at
> work, where I have an i810 card.

Considering your alacrity in complaining to -devel about our slow
response, I find it amusing that you haven't answered this query yet! :)

I've tagged the bug unreproducible, for the reasons mentioned above. At
some point it'll have to be closed or reassigned elsewhere. Ping?

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#100629: x2x: patches

2002-05-17 Thread Colin Watson
severity 100629 wishlist
thanks

The patches have been moved to these URLs:

  http://www.eax.com/patches/X2X/x2x-2-daemon.diff
  http://www.eax.com/patches/X2X/x2x-3-cleanup.diff

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#128164: svgalibg1: segfault (file missing perhaps?)

2002-05-17 Thread Colin Watson
On Thu, Feb 14, 2002 at 08:10:33PM +, Colin Watson wrote:
> On Thu, Feb 14, 2002 at 08:08:48PM +0000, Colin Watson wrote:
> > I've removed the annotation in the title because it doesn't seem as if
> > it's due to a missing file - 'restorefont -w' is supposed to write to
> > (and, if necessary, create) the file in its arguments, and it works OK
> > here.
> > 
> > Can you get an strace in order to narrow this down a bit more?
> 
> Oh yes - knowing which graphics card you're using would be useful as
> well.

Hi,

This is just a ping - have you managed to get either of these two pieces
of information?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#111923: linuxconf: segfault

2002-05-18 Thread Colin Watson
On Fri, Mar 29, 2002 at 02:58:56PM +, Colin Watson wrote:
> I can't reproduce this bug with the current version of linuxconf in
> testing and unstable, 1.26r4-2. I tried 'linuxconf --setmod treemenu'
> from a fresh install, and linuxconf started up fine and did indeed
> display the tree menu.
> 
> Could you try the latest version and see if you can still reproduce
> this?

Hi,

Have you had a chance to look at this?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#138995: libcw: text entry widget duplicates characters during quick typing

2002-05-18 Thread Colin Watson
On Sat, May 18, 2002 at 08:24:41AM +, xsdg wrote:
> On Fri, May 17, 2002 at 10:11:21PM -0500, Colin Watson wrote:
> > On Wed, Apr 17, 2002 at 07:20:02PM -0500, Colin Watson wrote:
> > > What video card do you have? So far I've noticed this kind of thing at
> > > work, where I have an i810 card.
> > 
> > Considering your alacrity in complaining to -devel about our slow
> > response, I find it amusing that you haven't answered this query yet! :)
> Hrm... must be some MTA goofup... I did respond to your mail (mutt confirms
> this).

Hm, maybe something on my end, then. OK, apologies for the remark above
in that case. :) I'm quoting the extra details here and copying them to
the bug report to make sure they're archived.

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#148530: xmp 2.0.4 stable and 2.0.5pre3 available

2002-05-31 Thread Colin Watson
On Thu, May 30, 2002 at 12:59:18AM -0500, An Thi-Nguyen Le wrote:
> Package: xmp
> Version: 1.1.3-1.3
> Severity: wishlist
> 
> http://sourceforge.net/projects/xmp/
> 
> xmp badly needs an update, and there are now esound and arts drivers 
> available for it.
> 
> Hmm.  

xmp's orphaned, and nobody's stepped up to maintain it yet. If you're
interested ...?

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#149197: [peter@eiserloh.org: SVGALib gl_expandcharacter() with 3 bytes per pixel]

2002-06-06 Thread Colin Watson
Package: svgalibg1
Severity: normal

I received this message; it should probably be filed as a bug.

-- 
Colin Watson  [EMAIL PROTECTED]

- Forwarded message from "Peter P. Eiserloh" <[EMAIL PROTECTED]> -

Date: Tue, 4 Jun 2002 13:17:34 -0700
From: "Peter P. Eiserloh" <[EMAIL PROTECTED]>
To: Colin Watson <[EMAIL PROTECTED]>
Cc: Matan Ziv-Av <[EMAIL PROTECTED]>
Subject: SVGALib gl_expandcharacter() with 3 bytes per pixel
Reply-To: [EMAIL PROTECTED]
User-Agent: Mutt/1.3.28i
X-Operating-System: Linux eyes1.eiserloh.org 2.4.18 
X-Spam-Status: No, hits=0.0 required=5.0 tests= version=2.20

Hi Guy,

I was reading the source code to svgalib-1.4.3, specifically
the handing of text and fonts, when I noticed in routine
gl_expandcharacter() that the background color is handled
differently than expected when there are 3 bytes per pixel.

IMHO: The third byte should get the third byte of bg, rather
that the first (especially since everywhere else that is what
is done).

The code reads:

  case 3:
*(ushort *) bitmap = bg;
*(bitmap + 2) = bg;
bitmap += 3;
break;

I think it should be (minus the extra comment of course):

  case 3:
*(ushort *) bitmap = bg;
*(bitmap + 2) = bg >> 16;
/*^^ */
bitmap += 3;
break;



-- 
+..+
| Peter P. Eiserlohhttp://www.eiserloh.org |
| Eiserloh Enterprises  http://www.eiserloh.org/~peter |
|mailto:[EMAIL PROTECTED] |
| Linux, Modula-2/3, Compilers, Data Reduction, Esperanto, |
| Physics, Science Fiction, Babylon-5, Taekwondo, Geneaology   |
+..+

- End forwarded message -


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#151301: elm-me+: missing manpages

2002-06-28 Thread Colin Watson
severity 151301 normal
merge 128027 151301
thanks

On Fri, Jun 28, 2002 at 09:12:02PM +0200, Thomas Koenig wrote:
> Package: elm-me+
> Version: 2.4pl25ME+95-3
> Severity: important
> 
> None of the man pages for the different commands are found by
> version 2.3.20-20 of man-db:
> 
> elm answer checkalias elmalias fastmail frm listalias messages
> newalias newmail printmail readmsg wnewmail nfrm

They're just in the wrong place - bug #128027.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Re: Apt Seg Faults

2002-06-30 Thread Colin Watson
On Sat, Jun 29, 2002 at 10:55:59PM -0300, Dean Landry wrote:
> I've done something terribly wrong with my apt package manager.  I'm not sure 
> what I've done, but here are the symptoms:

This really isn't the right mailing list for this; -qa-packages is for
the maintenance of orphaned packages. debian-user would be a better bet.
Anyway:

> Setting up emacs21 (21.2-1) ...
> Can't call method "AF" without a package or object reference at 
> /usr/sbin/update-alternatives line 125.

That suggests a somewhat broken perl to me.

> Setting up gettext-el (0.10.40-6) ...
> /var/lib/dpkg/info/gettext-el.postinst: line 5: 22787 Segmentation fault  
> /usr/lib/emacsen-common/emacs-package-install gettext-el
> dpkg: error processing gettext-el (--configure):
>  subprocess post-installation script returned error exit status 139

That indicates that /usr/lib/emacsen-common/emacs-package-install
segfaulted, it's a perl script.

Nothing's wrong with your package manager so far.

You might want to check out /usr/bin/perl in more detail. Using perl
5.6.1-7 on unstable, its md5sum is currently
2ee843b4185c78c84315914436b00e3c. If that's OK, then check that your
system doesn't have bad memory using something like memtest86.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Re: i like to download dj software in linux

2002-07-14 Thread Colin Watson
On Fri, Jul 12, 2002 at 02:15:06PM -0700, Eduardo Ahumada wrote:
> [EMAIL PROTECTED]

You might want to try debian-user instead, probably with a clearer
description of exactly what you want. This list is for the maintenance
of orphaned packages.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Re: elm-me+ version 2.4pl25ME+95-3 won't run when en_US locale is configured

2002-07-17 Thread Colin Watson
On Wed, Jul 17, 2002 at 12:27:29PM -0500, Patrick Goetz wrote:
> I get the following error message from elm-me+ when trying to run elm
> after the locales package has been configured to use en_US:
> 
> linux127:~pgoetz$ elm
> Elm: Unable to map en_US locale (LC_CTYPE) to MIME charset
>  Using default (US-ASCII). Check /etc/elm-me+/elm.mimecharsets or
>   /home/pgoetz/.elm/mime.charsets
> Problem with locale (system character set)! Elm ME+ will behave
> erratically.

This looks like bug #82916. I'm not sure if anyone's investigated that
in much more detail.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]



Bug#157441: freeamp lacks manpage

2002-08-20 Thread Colin Watson
merge 126235 157441
thanks

On Tue, Aug 20, 2002 at 01:06:05PM -0700, Andre L. wrote:
> Package: freeamp
> Version: 2.1.1.0-4
> 
> freeamp does not have a man page.

Already reported, thanks.

Regards,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#152857: freeamp: FreeAmp is being superseded by Zinf

2002-08-27 Thread Colin Watson
On Sat, Jul 13, 2002 at 12:07:38PM -0300, Andrew Phillips wrote:
> Package: freeamp
> Version: 1:2.1.1.0-4
> Severity: wishlist
> 
> FreeAmp has been more or less replaced with Zinf 2.2.0.
> 
> http://www.zinf.org/

So, I take it freeamp can be removed now that zinf is in the archive? If
so, we should reassign this bug to ftp.debian.org.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#158963: ipchains-perl: not installable in sid

2002-08-31 Thread Colin Watson
On Sat, Aug 31, 2002 at 09:07:55AM +0200, Laurent Bonnaud wrote:
> Sorry, but the following packages have unmet dependencies:
>   ipchains-perl: Depends: perlapi-5.6.1 but it is not installable
> E: Sorry, broken packages

I'll sort this out now.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#154251: It's the xbase-clients package

2002-09-04 Thread Colin Watson
On Wed, Sep 04, 2002 at 11:33:47AM +0200, Jan Harnisch wrote:
> Come on guys, talk to me... are you all on vacation or what? ;-)

Being maintained by the QA Group means that a package is orphaned, thus
it tends not to get that much attention, especially in this case where
it's non-free. (Is there some particular reason you prefer SSH2 to
OpenSSH?)

> In the meantime I have installed X on one of my PCs where I experienced
> this problem, and like magic it worked. I checked the packages that were
> installed and repeated the procedure installing the packages one by one.
> After installation of the xbase-clients package, logging in from remote
> worked with no problems.
> It seems that, even when configured with "ForwardX11 no", sshd tries to
> activate some program (xauth?) and starts getting mad when it cant find
> it.

I'm certainly reluctant to add a dependency on xbase-clients; see
#123768, for instance. Somebody will need to figure out why sshd spins
like this when sshd isn't available. If you have a chance to build a
debug version and attach gdb to it while it's spinning, that would be
ideal, otherwise I'll do it at some point.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: clisp on debian for S390

2002-09-12 Thread Colin Watson
On Thu, Sep 12, 2002 at 04:51:21PM +0400, Geoff McKee - PM(OS) wrote:
> I am a new user of Debian running on the S390 platform. I was under the
> impression that a port of clisp had been done to S390 and was available on
> the Woody release. This doesn't seem to be the case. Do you have any idea if
> a port is being worked on.

It does seem to be there:

 clisp | 1:2.27-0.5 |stable | source, alpha, i386, powerpc, s390

You should be able to find it at e.g.:

  ftp://ftp.debian.org/debian/pool/main/c/clisp/clisp_2.27-0.5_s390.deb

I can't attest to how well it works myself, although its changelog shows
that it's had attention from one of Debian's S/390 porters so I assume
it's at least reasonably functional.

Regards,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#160972: xmbase-grok_1.5-2(m68k/unstable/thing2): FTBFS, missing build-dep

2002-09-16 Thread Colin Watson
On Sun, Sep 15, 2002 at 12:00:51PM -0500, Stephen R Marenka wrote:
> Package: xmbase-grok
> Version: 1.5-2
> Severity: serious
> Justification: fails to build on release candidate arch.
> Tags: sid
> 
> xmbase-grok fails to build from source, missing build-deps.

As Matej Vela said in #160726, this is actually a bug in libmotif-dev.
I'm leaving it open here anyway because, well, it does still fail to
build ...

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#160813: marked as done (=?ansi_x3.4-1968?q?cgiemail:?= =?ansi_x3.4-1968?q?/etc/cgiemail.conf?= is not consulted)

2002-09-28 Thread Colin Watson
On Sat, Sep 28, 2002 at 06:33:18AM -0500, Debian Bug Tracking System wrote:
>  cgiemail (1.6-15) unstable; urgency=low
>  .
>* QA upload.
>* Null-terminate templatedir, and make sure it really does get checked
>  (closes: #160813).

Sorry, this should have been urgency=high.

I think a stable-security upload will be needed as well. Here's the
relevant part of the diff I used:

--- cgiemail-1.6.orig/cgilib.c
+++ cgiemail-1.6/cgilib.c
@@ -489,6 +489,7 @@
  if (endquotes)
{
  strncpy(templatedir, inquotes, endquotes - inquotes);
+ templatedir[endquotes - inquotes] = 0;
  return(0);
}
}
@@ -525,7 +526,7 @@
   if (cgi_read_configuration(formp, templatedir, CGI_VARNAME_MAX - 1))
 return(1);
 
-  if ((!templatedir) &&
+  if ((!templatedir) ||
   strncmp(templatefile, templatedir, strlen(templatedir)) ||
   strstr(templatefile, "/../"))
 {

However, on reflection I'm not sure if this fix is optimal. Thomas, was
the !templatedir test supposed to deal with /etc/cgiemail.conf being
missing? If so then perhaps this should be more like 'if
((!*templatedir) || ...)', and *templatedir will need to be initialized
to 0 before calling cgi_read_configuration().

-- 
Colin Watson  [EMAIL PROTECTED]



Re: Bug#145320: marked as done (kde-i18n-et: Eesti is Estonia in english)

2002-10-03 Thread Colin Watson
On Thu, Oct 03, 2002 at 08:18:25AM -0500, Debian Bug Tracking System wrote:
> Changes: 
>  kde-i18n (4:2.2.2-3) unstable; urgency=low
>  .
>* took package from QA
>  (closes: Bug#114126)

Yay, thank you Noel!

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#170067: tux-aqfh: It doesn't run

2002-11-22 Thread Colin Watson
severity 170067 important
thanks

On Thu, Nov 21, 2002 at 03:35:28PM -0200, Raphael Derosso Pereira - DephiNit 
wrote:
> Package: tux-aqfh
> Version: 1.0.13-6
> Severity: grave
> Justification: renders package unusable
> 
> Hi. When I try to run it, the following message shows up:
> 
> slDSP: write: Resource temporarily unavailable

Hm, this doesn't happen for me (with 1.0.14-1), so the package doesn't
appear to be completely unusable. Perhaps this is some local sound
problem?

> also, it doesn't depends on tux-aqfh-data neither recommends or
> sugests it

tux-aqfh-data was only created in version 1.0.14-1, and tux-aqfh
1.0.14-1 depends on tux-aqfh-data.

(In general, please always file separate problems in separate bug
reports. They're much easier to deal with that way.)

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#158637: [dendler@idefense.com: iDEFENSE Security Advisory: Linuxconf locally exploitable buffer overflow]

2002-11-22 Thread Colin Watson
severity 158637 important
thanks

On Sat, Sep 21, 2002 at 02:38:55PM +0200, Michael Banck wrote:
> tags 158637 + patch
> thanks
> 
> As I stated, debian's linuxconf package should not be vulnerable, as it
> is not installed setuid root.
> 
> Nevertheless, I've backported the patch from the latest upstream
> version, which makes the exploit[1] fail even if you happen to set
> linuxconf setuid root.

Would you mind uploading this? linuxconf is orphaned, and nobody has yet
offered to maintain it.

Since, as you say, we don't install linuxconf setuid root, I've
downgraded the bug in the meantime.

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: pspell/php4

2002-11-24 Thread Colin Watson
On Sun, Nov 24, 2002 at 11:40:15AM -0500, Billy Harvey wrote:
> Can pspell support be added to the next debianized release of php4?

Please contact the maintainer of php4 for this. Note that there are two
wishlist bugs already filed:

  http://bugs.debian.org/147728
  http://bugs.debian.org/156733

Regards,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: Bug#167886: marked as done (tux-aqfh-data: should replace older versions of tux-aqfh )

2002-12-01 Thread Colin Watson
On Sun, Dec 01, 2002 at 05:33:18AM -0600, Debian Bug Tracking System wrote:
>  tux-aqfh (1.0.14-2) unstable; urgency=low
>  .
>* QA upload.
>* Make tux-aqfh-data replace tux-aqfh (<< 1.0.14-1) to avoid conflicts
>  on upgrade.  Closes: #167886.
>* Remove undocumented(7) symlink for tux_aqfh(6).  Its lack has been
>  reported as #171283; add Lintian override.
>* Conforms to Standards version 3.5.8.

Why the Lintian override? If there's no man page, the error should stay
there without being overridden so that it appears on summaries like
http://qa.debian.org/man-pages.html.

-- 
Colin Watson  [EMAIL PROTECTED]



Re: Bug#167886: marked as done (tux-aqfh-data: should replace older versions of tux-aqfh )

2002-12-01 Thread Colin Watson
On Mon, Dec 02, 2002 at 12:36:34AM +0100, Matej Vela wrote:
> Colin Watson <[EMAIL PROTECTED]> writes:
> > On Sun, Dec 01, 2002 at 05:33:18AM -0600, Debian Bug Tracking System wrote:
> > >  tux-aqfh (1.0.14-2) unstable; urgency=low
> > >  .
> > >* QA upload.
> > >* Make tux-aqfh-data replace tux-aqfh (<< 1.0.14-1) to avoid conflicts
> > >  on upgrade.  Closes: #167886.
> > >* Remove undocumented(7) symlink for tux_aqfh(6).  Its lack has been
> > >  reported as #171283; add Lintian override.
> > >* Conforms to Standards version 3.5.8.
> > 
> > Why the Lintian override?
> 
> I was under the impression packages with Lintian errors are a big no-no.

In this case it's partly a Lintian bug. The link-to-undocumented-manpage
warning should be removed altogether, as policy has been amended to no
longer recommend the use of undocumented(7).

As for leaving the binary-without-manpage error there, please do! It's
not completely out of order to have packages with Lintian errors, in the
same way that it's not out of order to have packages with bugs; we just
have to acknowledge that they *are* bugs. Overriding the error isn't
such an acknowledgement, it's saying that Lintian is wrong in this
particular case and should be quiet.

Basically, the package still has the bug that the man page isn't
present, so Lintian's output should continue to mention it. I've written
man pages for packages more than once after noticing a complaint from
Lintian.

> Overriding link-to-undocumented-manpage was acceptable:
> 
>   W: tux-aqfh: link-to-undocumented-manpage usr/share/man/man6/tux_aqfh.6.gz
>   N:
>   N:   Symbolic links to the undocumented(7) manual page may be provided only
>   N:   when a bug has been filed that no manual page is available. If you
>   N:   like, you may report the bug yourself, and add an override for this
>   N:   warning in your package.
>   N:

Bleh, I disagree with that text. :-) Shaleh was generally consistent in
saying that overrides should only be used for cases where an exception
needs to be made to an otherwise correct general rule, and not to hide
Lintian bugs or package bugs. I don't know what Joy thinks, but this has
certainly been the guideline in the past.

(I wonder if that text was my fault ... if so, oops.)

> If we override binary-without-manpage for reported bugs, it'll be easy
> to spot unreported ones.

But we won't see the reported ones in the overall list that way.

> > If there's no man page, the error should stay there without being
> > overridden so that it appears on summaries like
> > http://qa.debian.org/man-pages.html.
> 
> How did it work in the undocumented(7) days then?

People generally didn't override the warning.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: Bug#167886: marked as done (tux-aqfh-data: should replace older versions of tux-aqfh )

2002-12-01 Thread Colin Watson
On Mon, Dec 02, 2002 at 02:01:36AM +0100, Josip Rodin wrote:
> On Mon, Dec 02, 2002 at 12:15:37AM +0000, Colin Watson wrote:
> > In this case it's partly a Lintian bug. The link-to-undocumented-manpage
> > warning should be removed altogether, as policy has been amended to no
> > longer recommend the use of undocumented(7).
> 
> Erm... isn't this exactly the reason to warn even more about having
> undocumented(7) symlinks? :)

Well, raised to an error then; policy doesn't forbid undocumented(7), it
just doesn't recommend it any more. I don't think the proposal would
have made it into policy if it had done the former, as you're probably
aware. :)

> I'm not sure where that description was going... I'll rephrase it to simply
> say that even if there's a undocumented(7) symlink, there's still no manual
> page and one should be written.

Cool, thanks.

-- 
Colin Watson  [EMAIL PROTECTED]



Re: NMU: cbb

2002-12-15 Thread Colin Watson
On Sat, Dec 14, 2002 at 05:59:00PM -0500, H. S. Teoh wrote:
> Hi, this is just to inform the QA team that I've uploaded an NMU of cbb
> containing the fix for #22047 to DELAYED/7-day. The patch is already in
> BTS. I'm taking the liberty to upload it now instead of later, since the
> package is already orphaned.

Unless somebody appears to be working on it (either in the QA group or
in the relevant WNPP bug), it's generally OK to upload packages
maintained by [EMAIL PROTECTED] without too much fuss. Try to avoid
colliding with other people, but the DELAYED mechanism usually isn't
necessary.

Thanks for your work.

-- 
Colin Watson  [EMAIL PROTECTED]



Re: missing recommended package

2002-12-23 Thread Colin Watson
On Mon, Dec 23, 2002 at 10:20:54AM -0600, Ray wrote:
> ls-sensors -> lm-sensors-mod

Please file bugs for this kind of thing. lm-sensors has an active
maintainer, so the QA group generally does not get involved.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#176147: seaview: needs to be recompiled with newer libfltk1.1c102 and g++ 3.2

2003-01-10 Thread Colin Watson
On Fri, Jan 10, 2003 at 04:34:45PM +0100, Laurent Bonnaud wrote:
> Sorry, but the following packages have unmet dependencies:
>   seaview: Depends: libfltk1.1 (>= 1.1.1) but it is not going to be installed

I'm rebuilding this now.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#166738: FTBFS with gcc 3.2

2003-01-11 Thread Colin Watson
On Mon, Oct 28, 2002 at 07:42:15AM +0100, Gerhard Tonn wrote:
> Package: korelib
> Version:  0.0.1-9
> Severity: important
> 
> Hi,
> the package get at least the following compile errors
> 
> c++ -I. -I. -I.. -I../include -g -O2 -Wall -Wp,-MD,.deps/kernel.pp -c  -fPIC 
> -DPIC kernel.cpp -o .libs/kernel.lo
> In file included from kernel.cpp:4:
> ../include/kore/servicemanager.h:199: `hash' was not declared in this scope
> ../include/kore/servicemanager.h:199: parse error before `char'
> ../include/kore/servicemanager.h:212: 'srv_hash_type' is used as a type, but 
> is not defined as a type.  

A patch for this follows (lifted largely from the libstdc++
documentation on accessing extensions); with it, korelib builds cleanly
using g++ 3.2.

However, libkore0's only dependent is aethera, which is part of the qt2
dependency chain. As a result, this can't be uploaded until KDE3 is in
the archive and unless a KDE3 version of aethera is available.

--- korelib-0.0.1.orig/include/kore/servicemanager.h
+++ korelib-0.0.1/include/kore/servicemanager.h
@@ -7,9 +7,15 @@
 #include 
 #else
 #if (__GNUC__<3)
-#include 
+# include 
+  namespace Sgi { using ::hash_map; }; // inherit globals
 #else
-#include 
+# include 
+# if __GNUC_MINOR__ == 0
+   namespace Sgi = std;// GCC 3.0
+# else
+   namespace Sgi = ::__gnu_cxx;// GCC 3.1 and later
+# endif
 #endif
 #endif
 #include 
@@ -196,7 +202,7 @@
 return strcmp(s1,s2) == 0;
 }
 };
-typedef hash_multimap, 
eqstr> srv_hash_type;
+typedef Sgi::hash_multimap, eqstr> srv_hash_type;
 #endif
 struct ltptr
 {

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#170871: (no subject)

2003-01-11 Thread Colin Watson
On Tue, Dec 03, 2002 at 11:34:13PM +0100, Alex de Landgraaf wrote:
> a patch for the recently uploaded xmms-nas package bug, hostname wasnt being 
> saved.
> I guess QA wanted to use env settings to handle this?

QA had nothing to do with it; I didn't touch this part of the code when
I did the recent QA upload of xmms-nas, I just didn't notice that it was
there.

> added else to otherwise just use the string inserted :)

> --- xmms-nas-0.2/nasconf.c2002-12-03 23:12:38.0 +
> +++ xmms-new/nasconf.c2002-12-03 23:06:00.0 +
> @@ -43,6 +43,9 @@
>  
>   if (getenv("AUDIOHOST") && 
> g_strcasecmp(nas_cfg.server,getenv("AUDIOHOST")))
>   xmms_cfg_write_string(cfgfile, "NAS", "server", nas_cfg.server);
> + else if (g_strcasecmp(nas_cfg.server,"") != 0)
> + xmms_cfg_write_string(cfgfile, "NAS", "server", nas_cfg.server);
> +
>   xmms_cfg_write_int(cfgfile, "NAS", "buffer_size", nas_cfg.bufsize);
>   xmms_cfg_write_file(cfgfile, filename);
>   xmms_cfg_free(cfgfile);

Thanks for the patch. Wouldn't it be better to say something more like:

  if (g_strcasecmp(nas_cfg.server,
   getenv("AUDIOHOST") ? getenv("AUDIOHOST") : ""))

(or a variant with less duplication)? That seems to be closer to the
intent of the original code, i.e. don't save nas_cfg.server if it's
equal to the value of $AUDIOHOST.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: seaview override disparity

2003-01-14 Thread Colin Watson
On Fri, Jan 10, 2003 at 10:02:19PM -0500, Debian Installer wrote:
> There are disparities between your recently accepted upload and the
> override file for the following file(s):
> 
> seaview_20021127-2_i386.deb: section is overridden from contrib/science to 
> contrib/misc.
> 
> Either the package or the override file is incorrect.  If you think
> the override is correct and the package wrong please fix the package
> so that this disparity is fixed in the next upload.  If you feel the
> override is incorrect then please reply to this mail and explain why.

Matej Vela changed the section to contrib/science in 20020409-1. It's a
biological sequencing package, so science seems appropriate to me.

Regards,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: libming

2003-01-17 Thread Colin Watson
On Fri, Jan 17, 2003 at 03:07:56PM +0100, Armel GRIGNON wrote:
> I'm using libming (on debian of course) and the release date is on
> 09/05/2002.
> 
> As some things seem to be not working with this package (mainly
> textfields), I wondered if a new package was to be released or not.

The package is currently orphaned and nobody has expressed an interest
in maintaining it, I'm afraid. So I wouldn't hold your breath ...

Please file bugs about any problems you have; it's possible that
somebody in the QA group may get round to fixing them, or if not then
they will be there for any future maintainer who may turn up.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: Spanish errors in kde-i18n-es translation

2003-01-26 Thread Colin Watson
On Sun, Jan 26, 2003 at 11:48:15PM +0100, NetVicious @ wrote:
> I send you mo & po files with a little changes on kwin LC_MESSAGES.

I recommend filing this as a bug report instead. kde-i18n-es's
maintainer is no longer [EMAIL PROTECTED] (which effectively means
"no maintainer", so in such cases it's worth using the bug tracking
system anyway to ensure things don't get lost), but Noel Koethe
<[EMAIL PROTECTED]>.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#182474: KDE/unstable

2003-02-25 Thread Colin Watson
On Tue, Feb 25, 2003 at 03:50:38PM -0300, Michel Loos wrote:
> Package: KDE
> Version: 4:2.2.25
> Severity: critical
> 
> The metapackage kde in unstable should be substituted for a metapackage
> depending only on the KDE3 packages already available.
> 
> Like it is now, it mixes KDE2 and KDE3 packages and can not be
> installed.

Is anyone planning to take the meta-kde source package over? It's
basically just been accumulating bug reports for the last 10 months or
so (some of which I'm sure should be reassigned to other parts of KDE,
but they need a KDE expert to look at them) ...

-- 
Colin Watson  [EMAIL PROTECTED]



Re: SSH2 / x11 forwarding

2003-03-18 Thread Colin Watson
On Mon, Mar 17, 2003 at 03:32:44PM -0500, Erik Dykema wrote:
>   I believe that I have found a bug / hole in the packaging related to
> ssh2 / xauth.

ssh2 has been removed from Debian unstable, so there will be no further
bug fixes to that package. You might mean the ssh package, though?

>   In order for X11 forwarding to work, sshd needs to run xauth, which is
> included in the xbase-clients package, but is not a pre-req for ssh2, or
> generally for x clients (sich as xemacs21).

That's correct. X11 forwarding isn't a required feature of ssh, so
there's no dependency. It's in the Suggests: field of ssh, though
(although it doesn't seem to have been in ssh2's Suggests:).

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: kde metapackage

2003-03-29 Thread Colin Watson
On Sat, Mar 29, 2003 at 02:48:10PM +0100, Kai Lahmann wrote:
> hi
> any reason, why this package is not working in unstable? (it still wants 
> to install KDE2.2, which fails).

Because nobody's maintaining it at the moment. Ben Burton said that he'd
take it over and fix it up if nobody else got round to it.

-- 
Colin Watson  [EMAIL PROTECTED]



Bug#175978: sabre_0.2.4b-15(mipsel/unstable): fails to build with sudo

2003-03-30 Thread Colin Watson
On Thu, Jan 09, 2003 at 03:40:04AM -0800, Ryan Murray wrote:
> Package: sabre
> Version: 0.2.4b-15
> Severity: serious
[...]
> > make[3]: Entering directory `/build/buildd/sabre-0.2.4b/lib/tzp'
> > rm -f Makefile 
> > rm -f config.cache config.log stamp-h stamp-h[0-9]*
> > make[3]: Leaving directory `/build/buildd/sabre-0.2.4b/lib/tzp'
> > make[2]: Leaving directory `/build/buildd/sabre-0.2.4b/lib'
> > rm -f config.status
> > make[1]: Leaving directory `/build/buildd/sabre-0.2.4b'
> > find -name Makefile -o -name Makefile.in | xargs -r rm -f
> > dh_clean
> >  debian/rules build
> > dh_testdir
> > automake && aclocal && autoconf
> > ./configure --prefix=/usr --bindir=/usr/games --without-svgalib
> > ./configure: line 903: config.log: Permission denied
> > make: *** [stamp-configure] Error 1
> 
> A full build log can be found at:
> http://buildd.debian.org/build.php?arch=mipsel&pkg=sabre&ver=0.2.4b-15
> 
> sabre fails to build from source with the following commands:
> apt-get source sabre
> cd sabre-0.2.4b
> dpkg-buildpackage -uc -us -B -rsudo
> 
> Running automake, aclocal, and autoconf in your clean target (with root
> privs), and then running them again in the build target (without root privs)
> causes the build to fail.  You need to clean up after everything generated
> in clean, or stop generating files in your clean target.

sabre's debian/rules does do this cleanup, though, so I'm confused. Look
further up in that build log:

make[1]: Entering directory `/build/buildd/sabre-0.2.4b'
cd . \
  && CONFIG_FILES=Makefile CONFIG_HEADERS= /bin/sh ./config.status
config.status: creating Makefile
make[1]: Leaving directory `/build/buildd/sabre-0.2.4b'
make[1]: Entering directory `/build/buildd/sabre-0.2.4b'
Making distclean in .
make[2]: Entering directory `/build/buildd/sabre-0.2.4b'
rm -f TAGS ID
rm -f Makefile
rm -f config.cache config.log stamp-h stamp-h[0-9]*
make[2]: Leaving directory `/build/buildd/sabre-0.2.4b'

There's a fair bit of log after that, but none of it should touch
config.log, and building with -rsudo works fine for me on i386. However,
the mipsen do seem to be consistently failing. Since it doesn't appear
to be configure, can you shed any light on what's creating config.log?

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: libical_0.23-3_i386.changes ACCEPTED

2003-04-01 Thread Colin Watson
A slight nitpick: "Debian QA Group <[EMAIL PROTECTED]>" in future,
please, so that our control files are in sync.

$ grep-available -FMaintainer -nsMaintainer [EMAIL PROTECTED] | sort | uniq -c
205 Debian QA Group <[EMAIL PROTECTED]>
  1 Debian QA Team <[EMAIL PROTECTED]>

(The latter is mpsql.)

Thanks,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: NMU for blt (Bug #185855)

2003-04-02 Thread Colin Watson
On Wed, Apr 02, 2003 at 05:10:39PM +0200, Stefan Schimanski wrote:
> I have prepared a NMU package for blt to fix bug #185855. I've sent 
> the patch to the bug tracking system. I know the steps for normal 
> NMUs. How is the procedure for NMUs with packages that are maintained 
> by the qa team?

Please go ahead and upload. There's no particular procedure for such
NMUs beyond perhaps contacting this list first. In fact, we often just
treat them as maintainer uploads, and in accordance with that katie will
close bugs you fix in QA uploads rather than tagging them fixed.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: wavtools ... -D /dev/something option

2003-04-02 Thread Colin Watson
On Wed, Apr 02, 2003 at 03:03:15PM -0800, Alex Perry wrote:
> I'm running a locally patched version of "wavtools"
> that trivially adds the "-D" option to change device.
> It defaults to "/dev/dsp" for backward compatibility.
> If you are interested in incorporating it into the official
> package, let me know and I'll make a patch to implement it
> and file it as a bug against the package for y'all.

Since the package is orphaned, by definition it's probable that nobody
is interested just now. :) However, somebody may well be interested in
the future, so I think you should feel free to file a wishlist bug.

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



Re: Bug#241371: marked as done (gbuffy: crashes after adding new mailbox)

2004-08-30 Thread Colin Watson
On Mon, Aug 30, 2004 at 01:48:11PM -0700, Thomas Bushnell BSG wrote:
> Do not close bugs this way.

There was no need to tell [EMAIL PROTECTED] this. :-)

Cheers,

-- 
Colin Watson  [EMAIL PROTECTED]



  1   2   >